#!/usr/bin/env python
# -*- coding: utf-8 -*- 
# UpdateStringsFile.py
#
#

import os, sys, re, codecs

#fo_in = codecs.lookup("utf_16")[-1](sys.stdin)
fo_in = sys.stdin
string_table = []

re_comment = re.compile( r"^/\* (.*) \*/" )
re_string = re.compile( r"\"(.*)([^\\])\" = \"(.*)([^\\])\";" )
re_blank = re.compile( r"^\s*$" )

comment = ""
key = ""
value = ""

for line in fo_in:
    line = line.rstrip()

    if re_blank.search( line ):
      if (comment) and (key):
          print "/* %s */" % (comment)
          print "\"%s\" = \"%s\";\n" % (key, value)
          comment = ""
          key = ""
          value = ""
      elif (comment):
          print "/* %s */" % (comment)
          comment = ""
      continue

    elif re_comment.search( line ):
        comment = re_comment.search( line ).group(1)

    elif re_string.search( line ):
        mt = re_string.search( line )
        key = mt.group(1) + mt.group(2)
        value = mt.group(3) + mt.group(4)

#    print line
#    print ">", comment, key, value
